Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class BorderUIResource.EtchedBorderUIResource

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.border.EtchedBorder
                  |
                  +--javax.swing.plaf.BorderUIResource.EtchedBorderUIResource

public static class BorderUIResource.EtchedBorderUIResource
extends EtchedBorder
implements UIResource

See Also:
  Serialized Form

Fields inherited from class javax.swing.border.EtchedBorder
`etchType, highlight, LOWERED, RAISED, shadow`

Constructor Summary
`BorderUIResource.EtchedBorderUIResource()`
`BorderUIResource.EtchedBorderUIResource(java.awt.Color highlight, java.awt.Color shadow)`
`BorderUIResource.EtchedBorderUIResource(int etchType)`
`BorderUIResource.EtchedBorderUIResource(int etchType, java.awt.Color highlight, java.awt.Color shadow)`

Methods inherited from class javax.swing.border.EtchedBorder
`getBorderInsets, getBorderInsets, getEtchType, getHighlightColor, getShadowColor, isBorderOpaque, paintBorder`

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderUIResource.EtchedBorderUIResource

    public BorderUIResource.EtchedBorderUIResource()

### BorderUIResource.EtchedBorderUIResource

    public BorderUIResource.EtchedBorderUIResource(int etchType)

### BorderUIResource.EtchedBorderUIResource

    public BorderUIResource.EtchedBorderUIResource(java.awt.Color highlight,
                                                   java.awt.Color shadow)

### BorderUIResource.EtchedBorderUIResource

    public BorderUIResource.EtchedBorderUIResource(int etchType,
                                                   java.awt.Color highlight,
                                                   java.awt.Color shadow)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.